Summary: Fido-Internet Gateway and Fido Tosser
Name: fidogate
Version: 5.0.0
Release: 1
Copyright: GPL
Group: System Environment/Daemons
Source: http://fidogate..spb.ru/download/fidogate-%{version}.tar.gz
BuildRoot: /var/tmp/fidogate-root

%description
FIDOGATE Version 4
 * Fido-Internet Gateway
 * Fido FTN-FTN Gateway
 * Fido Mail Processor
 * Fido File Processor
 * Fido Areafix/Filefix

%prep
%setup -q 

%build
./configure --enable-amiga-out --disable-desc-dir --prefix=/usr/local/fido
make depend
make DEBUG=-O2

%install
rm -rf $RPM_BUILD_ROOT

make PREFIX=$RPM_BUILD_ROOT install-dirs
mkdir -p $RPM_BUILD_ROOT/etc/news
mkdir -p $RPM_BUILD_ROOT/usr/local/fido/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/fido/etc/fidogate
mkdir -p $RPM_BUILD_ROOT/usr/local/fido/lib
mkdir -p $RPM_BUILD_ROOT/usr/local/fido/libexec
mkdir -p $RPM_BUILD_ROOT/var/log/fidogate
mkdir -p $RPM_BUILD_ROOT/var/lib/fidogate
mkdir -p $RPM_BUILD_ROOT/var/lib/fidogate/seq
mkdir -p $RPM_BUILD_ROOT/var/lock/fidogate
mkdir -p $RPM_BUILD_ROOT/var/spool/fidogate/outpkt/mail
mkdir -p $RPM_BUILD_ROOT/var/spool/fidogate/outpkt/news
mkdir -p $RPM_BUILD_ROOT/var/spool/fidogate/outrfc/mail
mkdir -p $RPM_BUILD_ROOT/var/spool/fidogate/outrfc/news
mkdir -p $RPM_BUILD_ROOT/var/spool/fidogate/toss/bad
mkdir -p $RPM_BUILD_ROOT/var/spool/fidogate/toss/pack
mkdir -p $RPM_BUILD_ROOT/var/spool/fidogate/toss/route
mkdir -p $RPM_BUILD_ROOT/var/spool/fidogate/toss/toss
mkdir -p $RPM_BUILD_ROOT/var/spool/bt
make PREFIX=$RPM_BUILD_ROOT install
make PREFIX=$RPM_BUILD_ROOT PACKAGE=rpm install-config

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,news,news)
%doc COPYING TODO TODO.rus doc/README doc/old/fidogate.txt
%doc doc/old/*.html doc/old/README.*
%dir /etc/news
%dir /usr/local/fido/bin
%dir /usr/local/fido/etc/fidogate
%dir /usr/local/fido/lib
%dir /usr/local/fido/libexec
%dir /var/log/fidogate
%dir /var/lib/fidogate
%dir /var/lib/fidogate/seq
%dir /var/lock/fidogate
%dir /var/spool/fidogate
%dir /var/spool/fidogate/outpkt/mail
%dir /var/spool/fidogate/outpkt/news
%dir /var/spool/fidogate/outrfc/mail
%dir /var/spool/fidogate/outrfc/news
%dir /var/spool/fidogate/toss/bad
%dir /var/spool/fidogate/toss/pack
%dir /var/spool/fidogate/toss/route
%dir /var/spool/fidogate/toss/toss
%dir /var/spool/bt
%config(noreplace) /etc/news/newsfeeds.fidogate
%config(noreplace) /usr/local/fido/etc/fidogate/acl
%config(noreplace) /usr/local/fido/etc/fidogate/aliases
%config(noreplace) /usr/local/fido/etc/fidogate/areafix.help
%config(noreplace) /usr/local/fido/etc/fidogate/areafix.help.rus
%config(noreplace) /usr/local/fido/etc/fidogate/areas
%config(noreplace) /usr/local/fido/etc/fidogate/fidogate.conf
%config(noreplace) /usr/local/fido/etc/fidogate/fidokill
%config(noreplace) /usr/local/fido/etc/fidogate/ftnacl
%config(noreplace) /usr/local/fido/etc/fidogate/hosts
%config(noreplace) /usr/local/fido/etc/fidogate/packing
%config(noreplace) /usr/local/fido/etc/fidogate/passwd
%config(noreplace) /usr/local/fido/etc/fidogate/routing
%config(noreplace) /usr/local/fido/etc/fidogate/spyes
%config(noreplace) /usr/local/fido/etc/fidogate/uplinks
%config(noreplace) /usr/local/fido/etc/fidogate/bounce.acl
%config(noreplace) /usr/local/fido/etc/fidogate/bounce.acl_netmail
%config(noreplace) /usr/local/fido/etc/fidogate/bounce.addrinto
%config(noreplace) /usr/local/fido/etc/fidogate/bounce.down
%config(noreplace) /usr/local/fido/etc/fidogate/bounce.insecure
%config(noreplace) /usr/local/fido/etc/fidogate/bounce.noto
%config(noreplace) /usr/local/fido/etc/fidogate/bounce.restricted
%config(noreplace) /var/lib/fidogate/areas.bbs
%config(noreplace) /var/lib/fidogate/fareas.bbs
/usr/local/fido/bin/ftnafutil
/usr/local/fido/bin/ftnfattach
/usr/local/fido/bin/ftnoutpkt
/usr/local/fido/bin/ftntickpost
/usr/local/fido/bin/ngoper
/usr/local/fido/bin/pktdebug
/usr/local/fido/bin/pktmore
/usr/local/fido/bin/pkttmpl
/usr/local/fido/bin/report_areas_changes
/usr/local/fido/bin/runafutil
/usr/local/fido/bin/rungate
/usr/local/fido/bin/runin
/usr/local/fido/bin/runinc
/usr/local/fido/bin/runmail
/usr/local/fido/bin/runnews
/usr/local/fido/bin/runout
/usr/local/fido/bin/runtoss
/usr/local/fido/bin/rununpack
/usr/local/fido/bin/send-fidogate
/usr/local/fido/bin/sumcrc
/usr/local/fido/libexec/charset.bin
/usr/local/fido/libexec/charset.map
/usr/local/fido/libexec/ftn2ftn
/usr/local/fido/libexec/ftn2rfc
/usr/local/fido/libexec/ftnaf
/usr/local/fido/libexec/ftnafmail
/usr/local/fido/libexec/ftnafpkt
/usr/local/fido/libexec/ftnexpire
/usr/local/fido/libexec/ftnflo
/usr/local/fido/libexec/ftnhatch
/usr/local/fido/libexec/ftnin
/usr/local/fido/libexec/ftninpost
/usr/local/fido/libexec/ftninrecomb
/usr/local/fido/libexec/ftnmail
/usr/local/fido/libexec/ftnpack
/usr/local/fido/libexec/ftnroute
/usr/local/fido/libexec/ftntick
/usr/local/fido/libexec/ftntoss
/usr/local/fido/libexec/rfc2ftn
/usr/local/fido/lib/libfidogate.la
/usr/local/fido/lib/libfidogate.so
/usr/local/fido/lib/libfidogate.so.5
/usr/local/fido/lib/libfidogate.so.5.0.0

%post
if test -z `sed -n '/fidogate/=' /etc/news/newsfeeds|tail -n1`; then
    cat /etc/news/newsfeeds.fidogate >> $(PREFIX)$(DEFAULT_F_NEWSETCDIR)/newsfeeds
fi

%changelog
* Mon Sep 24 2002 Dmitry Fedotov <dyff@fidogate.spb.ru>
- First try at rpm spec file for 5.0.0
